import { AdaptableModuleBase } from './AdaptableModuleBase';
import { AdaptableModuleView } from './Interface/IModule';
import { AdaptableApi } from '../Api/AdaptableApi';
import { ICellDataChangeListenerModule } from './Interface/ICellDataChangeListenerModule';
import { AgModuleName } from 'ag-grid-enterprise';
export declare class DataChangeHistoryModule extends AdaptableModuleBase implements ICellDataChangeListenerModule {
    isListeningToCellDataChanges: boolean;
    constructor(api: AdaptableApi);
    onAdaptableReady(): void;
    protected getAgGridModuleDependencies(): AgModuleName[];
    shouldListenToDataChanges(): boolean;
    checkListenToCellDataChanged(): void;
    setupCellDataChangeListener(): void;
    getPopupMaxWidth(): number;
    hasNamedQueryReferences(): boolean;
    private isDataChangeLoggable;
    getViewProperties(): AdaptableModuleView;
}
